Get Sentiment Trend
curl --request GET \
--url https://api.geogen.io/v1/trends/sentiment \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geogen.io/v1/trends/sentiment"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geogen.io/v1/trends/sentiment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"date": "<string>",
"positive": 123,
"neutral": 123,
"negative": 123
}
]
}{
"error": "<string>"
}Analytics
Get Sentiment Trend
Get sentiment trend over time.
GET
/
trends
/
sentiment
Get Sentiment Trend
Authorizations
API key authentication. Format: Bearer wsk_your_api_key
Query Parameters
Entity ID
Time period
Available options:
7d, 14d, 30d Comma-separated model UUIDs
⌘I

